name:                nubank
version:             0.1.0.0
synopsis:            Simple project template from stack
description:         Please see README.md
homepage:            https://github.com/githubuser/nubank#readme
license:             BSD3
license-file:        LICENSE
author:              Author name here
maintainer:          example@example.com
copyright:           2016 Author name here
category:            Web
build-type:          Simple
cabal-version:       >=1.10

library
  hs-source-dirs: src
  exposed-modules: App, Models.PersistentModels, Models.TxKind, Logic
  default-language:    Haskell2010
  build-depends:       base >= 4.7 && < 5, aeson,
                       binary, containers, data-default,
                       http-types, persistent, monad-logger, mtl,
                       persistent-template, persistent-sqlite,
                       QuickCheck,resourcet, scotty, text, time, transformers,
                       wai-extra, wai
  default-extensions:  OverloadedStrings

executable nubank
  hs-source-dirs:      app ,
                       src
  main-is:             Main.hs
  other-modules:   Models.PersistentModels
                 , Models.TxKind
                 , Logic
  default-language:    Haskell2010
  build-depends:       base >= 4.7 && < 5, aeson,
                       binary, containers, data-default,
                       http-types, persistent, monad-logger, mtl,
                       persistent-template, persistent-sqlite,
                       QuickCheck,resourcet, text, time, transformers, scotty,
                       wai-extra, wai
  default-extensions:  OverloadedStrings


test-suite quickcheck
  type:                exitcode-stdio-1.0
  hs-source-dirs:      test
  main-is:             Spec.hs
  build-depends:       base
                     , aeson
                     , bytestring
                     , http-types
                     , wai
                     , HUnit
                     , QuickCheck
                     , hspec
                     , hspec-wai
                     , hspec-wai-json
                     , text
                     , time
                     , wai-extra
                     , nubank
                     , persistent
  ghc-options:         -threaded -rtsopts -with-rtsopts=-N
  default-language:    Haskell2010
